View Issue Details

IDProjectCategoryView StatusLast Update
0019574mantisbtbugtrackerpublic2015-09-06 17:37
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.0 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019574: Edited Issue's handler is set to blank when user has been demoted
Description

When an issue is assigned to a developer and that user is later demoted to an access level lower than $g_handle_bug_threshold, editing that issue causes the handler field to be set to blank.

An existing user should be added to the list to preserve the record's integrity when editing it. Changing a user assignment should be an intentional action.

TagsNo tags attached.

Relationships

related to 0019638 closeddregad Filtering by users throws error 

Activities

dregad

dregad

2015-04-05 06:43

developer   ~0049323

Pull request for review https://github.com/mantisbt/mantisbt/pull/591

Related Changesets

MantisBT: master c0976d06

2015-04-05 05:15:42

dregad

Details Diff
project_get_all_user_rows() return associative array

Previously, it returned a zero-based array through use of array_values()
function; using an associative array does not affect existing uses of
the API, and facilitates checking existence of a specific user in the
array.

Pre-requisite to fix issue 0019574
mod - core/project_api.php Diff File

MantisBT: master 1ddb4008

2015-04-05 05:20:26

dregad

Details Diff
Ensure specified user exists in selection list

print_user_option_list() is used to display user selection lists. When
editing a bug having a handler that has been demoted, it is important
that the former developer is included in the list, otherwise the bug's
handler would be set to 0.

Fixes 0019574
mod - core/print_api.php Diff File

MantisBT: master aa70e116

2015-04-20 19:00:11

dregad

Details Diff
Make sure we print something when user does not exist

Kind of a corner case, but if the user being added to the selection list
no longer exists, then the ID is added but the name is printed as an
empty string, resulting in incorrect behavior (the first empty string is
selected, so when record is saved the field is set to blank).

Follow-up fix for issue 0019574
mod - core/print_api.php Diff File

MantisBT: master e2391f6f

2015-04-20 19:10:38

dregad

Details Diff
Fix regression printing user lists for all projects

This was introduced by commit c0976d063973a97b1ba4a5c3b017d3b3ddab59bc
(see issue 0019574); the while loop used to build the associative array
to remove duplicate users from the list failed to take into
consideration that the array returned by project_get_all_user_rows() is
no longer 0-based...

Fixes 0019638
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2015-04-05 06:14 dregad New Issue
2015-04-05 06:14 dregad Status new => assigned
2015-04-05 06:14 dregad Assigned To => dregad
2015-04-05 06:43 dregad Summary Edited Issue's handler set to blank when user has been demoted => Edited Issue's handler is set to blank when user has been demoted
2015-04-05 06:43 dregad Note Added: 0049323
2015-04-16 05:15 dregad Changeset attached => MantisBT master c0976d06
2015-04-16 05:15 dregad Changeset attached => MantisBT master 1ddb4008
2015-04-16 05:15 dregad Status assigned => resolved
2015-04-16 05:15 dregad Resolution open => fixed
2015-04-16 05:15 dregad Fixed in Version => 1.3.0-beta.3
2015-04-17 03:48 atrol Target Version 1.2.20 => 1.3.0-beta.3
2015-04-20 18:51 dregad Relationship added related to 0019638
2015-04-20 19:14 dregad Changeset attached => MantisBT master aa70e116
2015-04-20 19:14 dregad Changeset attached => MantisBT master e2391f6f
2015-09-06 17:37 vboctoradmin Status resolved => closed